# Poco::Net

# struct AddressFamily

Library: Net
Package: NetCore
Header: Poco/Net/SocketDefs.h

## Description

AddressFamily::Family replaces the previously used IPAddress::Family enumeration and is now used for IPAddress::Family and SocketAddress::Family.

## Enumerations

### Family

Possible address families for socket addresses.

UNKNOWN = AF_UNSPEC

Unspecified family

IPv4 = AF_INET

IPv4 address family.